Get Service Instance Parameters
Get parameters for a managed service instance
Queries the Service Broker for the parameters associated with this service instance. The broker catalog must have enabled the instances_retrievable feature for the Service Offering. Check the Service Offering object for the value of this feature flag.
Request
URI
GET
https://api.example.local/v3/service_instances/{guid}/parameters
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{guid}/parameters
Service Instances Operations
GET
List Service Instances
POST
Create Service Instance
GET
Get Service Instance
PATCH
Update Service Instance
DELETE
Delete Service Instance
GET
List Service Instance Backups
POST
Create Service Instance Backup
POST
Restore Service Instance From Backup
GET
Get Service Instance Credentials
GET
Get Service Instance Parameters
GET
Get Service Instance Permissions
GET
List Service Instance Shared Spaces
POST
Share Service Instance
GET
Get Service Instance Usage Summary In Shared Spaces
DELETE
Unshare Service Instance